Uploaded image for project: 'Red Hat Fuse'
  1. Red Hat Fuse
  2. ENTESB-5926

rest and secure-rest quickstarts do not work on fabric

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Blocker
    • Resolution: Done
    • Affects Version/s: jboss-fuse-6.3
    • Fix Version/s: jboss-fuse-6.3
    • Component/s: Examples, Fabric8 v1
    • Labels:
    • Environment:

      fuse build 6.3.0.redhat-157

    • Sprint:
      Sprint 7 - towards CR2
    • Steps to Reproduce:
      Hide

      1. start fuse and create fabric with

      fabric:create --wait-for-provisioning

      2. build quickstart with

      mvn clean install

      3. upload quickstart to fabric

      mvn fabric8:deploy

      4. create child with

      fabric:container-create-child --profile quickstarts-cxf-secure.rest root mychild
      Show
      1. start fuse and create fabric with fabric:create --wait- for -provisioning 2. build quickstart with mvn clean install 3. upload quickstart to fabric mvn fabric8:deploy 4. create child with fabric:container-create-child --profile quickstarts-cxf-secure. rest root mychild

      Description

      Deployment of there quickstart end with the following exception:

      2016-08-01 14:24:24,831 | ERROR | 6.0.1-1-thread-1 | DeploymentAgent                  | 86 - io.fabric8.fabric-agent - 1.2.0.redhat-630157 | Unable to update agent
      io.fabric8.common.util.MultiException: Error
      	at io.fabric8.agent.download.impl.MavenDownloadManager$MavenDownloader.<init>(MavenDownloadManager.java:93)[86:io.fabric8.fabric-agent:1.2.0.redhat-630157]
      	at io.fabric8.agent.download.impl.MavenDownloadManager.createDownloader(MavenDownloadManager.java:71)[86:io.fabric8.fabric-agent:1.2.0.redhat-630157]
      	at io.fabric8.agent.region.Subsystem.downloadBundles(Subsystem.java:329)[86:io.fabric8.fabric-agent:1.2.0.redhat-630157]
      	at io.fabric8.agent.region.SubsystemResolver.resolve(SubsystemResolver.java:182)[86:io.fabric8.fabric-agent:1.2.0.redhat-630157]
      	at io.fabric8.agent.service.Deployer.deploy(Deployer.java:273)[86:io.fabric8.fabric-agent:1.2.0.redhat-630157]
      	at io.fabric8.agent.service.Agent.provision(Agent.java:366)[86:io.fabric8.fabric-agent:1.2.0.redhat-630157]
      	at io.fabric8.agent.service.Agent.provision(Agent.java:199)[86:io.fabric8.fabric-agent:1.2.0.redhat-630157]
      	at io.fabric8.agent.DeploymentAgent.doUpdate(DeploymentAgent.java:753)[86:io.fabric8.fabric-agent:1.2.0.redhat-630157]
      	at io.fabric8.agent.DeploymentAgent$4.run(DeploymentAgent.java:303)[86:io.fabric8.fabric-agent:1.2.0.redhat-630157]
      	at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:511)[:1.8.0_31]
      	at java.util.concurrent.FutureTask.run(FutureTask.java:266)[:1.8.0_31]
      	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142)[:1.8.0_31]
      	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617)[:1.8.0_31]
      	at java.lang.Thread.run(Thread.java:745)[:1.8.0_31]
      Caused by: java.lang.Exception: Unable to create resource for bundle fab:mvn:xml-apis/xml-apis/1.4.01
      	at io.fabric8.agent.region.Subsystem.createResource(Subsystem.java:492)[86:io.fabric8.fabric-agent:1.2.0.redhat-630157]
      	at io.fabric8.agent.region.Subsystem$ResourceBuilderCallback.downloaded(Subsystem.java:423)[86:io.fabric8.fabric-agent:1.2.0.redhat-630157]
      	at io.fabric8.agent.download.impl.MavenDownloadManager$MavenDownloader$1.operationComplete(MavenDownloadManager.java:143)[86:io.fabric8.fabric-agent:1.2.0.redhat-630157]
      	at io.fabric8.agent.download.impl.MavenDownloadManager$MavenDownloader$1.operationComplete(MavenDownloadManager.java:137)[86:io.fabric8.fabric-agent:1.2.0.redhat-630157]
      	at io.fabric8.agent.download.impl.DefaultFuture.notifyListener(DefaultFuture.java:343)[86:io.fabric8.fabric-agent:1.2.0.redhat-630157]
      	at io.fabric8.agent.download.impl.DefaultFuture.notifyListeners(DefaultFuture.java:328)[86:io.fabric8.fabric-agent:1.2.0.redhat-630157]
      	at io.fabric8.agent.download.impl.DefaultFuture.setValue(DefaultFuture.java:254)[86:io.fabric8.fabric-agent:1.2.0.redhat-630157]
      	at io.fabric8.agent.download.impl.AbstractDownloadTask.setFile(AbstractDownloadTask.java:53)[86:io.fabric8.fabric-agent:1.2.0.redhat-630157]
      	at io.fabric8.agent.download.impl.AbstractRetryableDownloadTask.run(AbstractRetryableDownloadTask.java:41)[86:io.fabric8.fabric-agent:1.2.0.redhat-630157]
      	at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:511)[:1.8.0_31]
      	at java.util.concurrent.FutureTask.run(FutureTask.java:266)[:1.8.0_31]
      	at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.access$201(ScheduledThreadPoolExecutor.java:180)[:1.8.0_31]
      	at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.run(ScheduledThreadPoolExecutor.java:293)[:1.8.0_31]
      	... 3 more
      Caused by: org.osgi.framework.BundleException: Unsupported 'Bundle-ManifestVersion' value: 1
      	at io.fabric8.agent.resolver.ResourceBuilder.build(ResourceBuilder.java:72)[86:io.fabric8.fabric-agent:1.2.0.redhat-630157]
      	at io.fabric8.agent.resolver.ResourceBuilder.build(ResourceBuilder.java:65)[86:io.fabric8.fabric-agent:1.2.0.redhat-630157]
      	at io.fabric8.agent.region.Subsystem.createResource(Subsystem.java:490)[86:io.fabric8.fabric-agent:1.2.0.redhat-630157]
      	... 15 more

        Gliffy Diagrams

          Attachments

            Issue Links

              Activity

                People

                • Assignee:
                  jpoth John Poth
                  Reporter:
                  jkasztur Jan Kasztura
                  Tester:
                  Jan Kasztura
                • Votes:
                  0 Vote for this issue
                  Watchers:
                  4 Start watching this issue

                  Dates

                  • Created:
                    Updated:
                    Resolved: